MFI(4)

NAME
mfi - LSI Logic & Dell MegaRAID SAS RAID controller

SYNOPSIS
mfi* at pci?
scsibus* at mfi?

DESCRIPTION
The mfi driver provides support for the MegaRAID SAS family of RAID controllers, including:

-   Dell PERC 5/e, PERC 5/i, PERC 6/e, PERC 6/i, PERC H310, PERC H700, PERC H800
-   Intel RAID Controller SRCSAS18E, SRCSAS144E
-   LSI Logic MegaRAID SAS 8300XLP, MegaRAID SAS 8308ELP, MegaRAID SAS 8344ELP, MegaRAID SAS 8408E, MegaRAID SAS 8480E, MegaRAID SAS 8880EM2, MegaRAID SAS 8888ELP, MegaRAID SAS 9240-4i, MegaRAID SAS 9240-8i, MegaRAID SAS 9260-16i, MegaRAID SAS 9260-4i, MegaRAID SAS 9260-8i, MegaRAID SAS 9260CV-4i, MegaRAID SAS 9260CV-8i, MegaRAID SAS 9261-8i, MegaRAID SAS 9265-8i, MegaRAID SAS 9280-16i4e, MegaRAID SAS 9280-24i4e, MegaRAID SAS 9280-4i4e, MegaRAID SAS 9280-8e, MegaRAID SAS 9285-8e

These controllers support RAID 0, RAID 1, RAID 5, RAID 6, RAID 10, RAID 50 and RAID 60 using either SAS or SATA II drives.

Although the controllers are actual RAID controllers, the driver makes them look just like SCSI controllers. All RAID configuration is done through the controllers' BIOSes.

SEE ALSO
bio(4), intro(4), pci(4), scsi(4), sd(4), bioctl(8), sensorsd(8), sysctl(8)

HISTORY
The mfi driver first appeared in OpenBSD 4.0.

AUTHORS
-nosplit The mfi driver was written by Marco Peereboom <marco@openbsd.org>.